from distutils.core import setup
setup(
      name = 'open3SPN2',
      packages = ['open3SPN2'],
      version = '0.1.2',
      license='MIT',
      description = 'Implementation of 3SPN2 and 3SPN2.C forcefields in openmm',
      author = 'Carlos Bueno', 
      author_email = 'carlos.bueno@rice.edu', 
      url = 'https://github.com/cabb99/open3spn2', 
      download_url = 'https://github.com/cabb99/open3spn2/archive/0.1.2.tar.gz',
      keywords = ['dna', 'forcefield', 'openmm'],
      package_data={'open3SPN2': ['3SPN2.conf','3SPN2.xml']},
      include_package_data=True,
      install_requires=[
              'biopython',
              'matplotlib',
              'pandas',
              'numpy',
              'scipy',
              'mdtraj',
              'openmm',
              'parmed',
              'pdbfixer',
              'nose',
          ],
      classifiers=[
        'Development Status :: 3 - Alpha', 
        'Intended Audience :: Science/Research', 
        'Topic :: Scientific/Engineering :: Physics', 
        'License :: OSI Approved :: MIT License', 
        'Programming Language :: Python :: 3', 
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
      ],
    )
